<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>resources-web-dev</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
</head>
<body>
<h1 id="useful-resources-for-becoming-a-ninja-fullstack-developer">Useful resources for becoming a ninja fullstack developer!</h1>
<h2 id="web-development">Web Development</h2>
<ul>
<li><a href="https://caniuse.com/#home">Check cross-browser compatibility for CSS, JavaScript and HTML</a></li>
<li><a href="https://medium.freecodecamp.org/modern-frontend-hacking-cheatsheets-df9c2566c72a">Modern front-end Cheatsheets</a></li>
<li><a href="https://stackshare.io/">Check out what your favorite company’s stack is</a></li>
<li><a href="https://medium.com/coderbyte/a-guide-to-becoming-a-full-stack-developer-in-2017-5c3c08a1600c">A Guide to Becoming a Full-Stack Developer in 2017</a></li>
<li><a href="http://edusagar.com/articles/view/70/What-happens-when-you-type-a-URL-in-browser">What happens when you type a URL into a web browser</a></li>
</ul>
<h2 id="javascript">JavaScript</h2>
<ul>
<li><a href="https://github.com/airbnb/javascript">Airbnb JavaScript Style Guide</a></li>
<li><a href="https://medium.freecodecamp.org/regular-expressions-demystified-regex-isnt-as-hard-as-it-looks-617b55cf787">Regular Expressions Demystified</a></li>
<li><a href="https://kangax.github.io/compat-table/es6/">ECMAScript compatibility table</a></li>
</ul>
<h2 id="git">GIT</h2>
<ul>
<li><a href="http://product.hubspot.com/blog/git-and-github-tutorial-for-beginners">HubSpot’s Intro to Git/GitHub including Pull Requests &amp; Merging</a></li>
</ul>
<h2 id="express">Express</h2>
<ul>
<li><a href="https://github.com/tanukid/express-starter">Express Starter</a></li>
</ul>
<h2 id="node.js">Node.js</h2>
<ul>
<li><p><a href="https://medium.com/@thejasonfile/fetch-vs-axios-js-for-making-http-requests-2b261cdd3af5">Fetch vs. Axios.js for making http requests</a> ## Sequelize</p></li>
<li><a href="https://www.youtube.com/watch?v=6NKNfXtKk0c">Sequelize: Getting Started</a></li>
<li><span class="citation" data-cites="tmkelly28">[Sequelize reference by @tmkelly28]</span>(https://github.com/tmkelly28/sequelize-reference)</li>
<li><p><a href="https://blog.cloudboost.io/docs-for-the-sequelize-docs-querying-edition-aed4bd1273f0">Short but useful Sequelize querying cheatsheet</a></p></li>
</ul>
<h2 id="study-guides">Study Guides</h2>
<ul>
<li><a href="https://github.com/ohagert1/Express-Sequelize-Boilerplate-Study-Guide">Express &amp; Sequelize Boilerplate/Study Guide</a></li>
</ul>
<h2 id="react">React</h2>
<ul>
<li><a href="https://www.youtube.com/channel/UCZkjWyyLvzWeoVWEpRemrDQ">React Casts - Series of React tutorials by Cassio</a></li>
<li><a href="https://chrome.google.com/webstore/detail/react-developer-tools/fmkadmapgofadopljbjfkapdkoienihi?hl=en">React Dev Tool Google Chrome Extension</a></li>
<li><a href="https://github.com/facebookincubator/create-react-app">create-react-app: Create React apps with no build configuration.</a></li>
<li><a href="https://www.javascriptstuff.com/react-starter-projects/">Find the perfect React starter template</a></li>
<li><a href="https://github.com/jaredpalmer/formik">Formik - Build forms in React, without the tears 😭</a></li>
</ul>
<h2 id="redux">Redux</h2>
<ul>
<li><a href="https://egghead.io/courses/getting-started-with-redux">Getting Started with Redux (free course by Dan Abramov)</a></li>
<li><a href="https://egghead.io/courses/building-react-applications-with-idiomatic-redux">Building React Applications with Idiomatic Redux (free course by Dan Abramov)</a></li>
<li><a href="https://chrome.google.com/webstore/detail/redux-devtools/lmhkpmbekcpmknklioeibfkpmmfibljd?hl=en">Redux Dev Tool Chrome Extension</a></li>
</ul>
<h2 id="redux-middleware">Redux Middleware</h2>
<ul>
<li><a href="https://github.com/buunguyen/redux-freeze">redux-freeze: avoid accidental in-place mutations of state</a></li>
<li><a href="https://github.com/redux-saga/redux-saga">redux-saga: manage redux side-effects with es6 generators</a></li>
<li><a href="https://github.com/pburtchaell/redux-promise-middleware">redux-promise-middleware: A thunk alternative with more bells and whistles</a> ## CSS</li>
<li><a href="https://specificity.keegan.st/">Specificity Calculator</a></li>
<li><a href="http://bennettfeely.com/clippy/">Tool for making clip-paths quickly with CSS</a></li>
</ul>
<h2 id="command-line">Command Line</h2>
<ul>
<li><a href="https://lifehacker.com/5743814/become-a-command-line-ninja-with-these-time-saving-shortcuts">Useful commands</a></li>
<li>Get your IP address in Mac OSX/Unix: <code>ifconfig | grep 'inet '</code></li>
</ul>
<h2 id="atom">Atom</h2>
<ul>
<li><a href="https://gist.github.com/chrissimpkins/5bf5686bae86b8129bee">Atom command cheat sheet</a></li>
</ul>
<h2 id="vs-code">VS Code</h2>
<ul>
<li><a href="https://code.visualstudio.com/shortcuts/keyboard-shortcuts-macos.pdf">Keystroke cheat sheet</a></li>
<li><a href="https://gist.github.com/tanukid/4ba5d7021a2027362592cbac0a356f58">Daniel’s Config</a></li>
</ul>
<h2 id="sublime">Sublime</h2>
<ul>
<li><a href="http://sweetme.at/2013/08/08/sublime-text-keyboard-shortcuts/">Keystroke cheat sheet</a></li>
<li><a href="https://medium.com/beyond-the-manifesto/configuring-sublime-text-3-for-modern-es6-js-projects-6f3fd69e95de">Configuring Sublime Text 3 for Modern ES6 JS Projects</a></li>
</ul>
<h2 id="whiteboard-interviews">Whiteboard Interviews</h2>
<ul>
<li><a href="https://www.algoexpert.io/product">algoexpert.io (Made by FSA alumni)</a></li>
<li><a href="https://github.com/mgechev/javascript-algorithms">JavaScript implementation of popular algorithms and data structures</a></li>
<li><a href="www.codewars.com">Code Wars</a></li>
<li><a href="http://www.geeksforgeeks.org/">Geeks for Geeks</a></li>
<li><a href="https://www.interviewcake.com/">Interview Cake</a></li>
<li><a href="https://leetcode.com/">Leet Code</a></li>
<li><a href="https://coderbyte.com/">Coder Byte</a></li>
<li><a href="https://www.hackerrank.com/">Hacker Rank</a></li>
<li><a href="https://www.amazon.com/Cracking-Coding-Interview-Programming-Questions/dp/0984782850/ref=pd_lpo_sbs_14_t_0?_encoding=UTF8&amp;psc=1&amp;refRID=8BB0KRJ073A8CZXTW5PP&amp;dpID=41XgSiYW7dL&amp;preST=_SY291_BO1,204,203,200_QL40_&amp;dpSrc=detail">Cracking the Coding Interview</a></li>
</ul>
</body>
</html>
